<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" xmlns:formvh="http://typo3.org/ns/TYPO3/CMS/Form/ViewHelpers" data-namespace-typo3-fluid="true">

<f:form.validationResults for="{element.rootForm.identifier}.{element.identifier}">
	<div class="form-floating mb-3 {f:if(condition: '{validationResults.errors.0}', then: ' has-error')} {element.properties.formgroupClassAttribute}">
		<f:format.raw>
			{elementContent}
			<f:if condition="{validationResults.flattenedErrors}">
				<span class="error help-block" role="alert">
					<f:for each="{validationResults.errors}" as="error">
						{formvh:translateElementError(element: element, error: error)}
						<br />
					</f:for>
				</span>
			</f:if>
		</f:format.raw>
        <f:if condition="{doNotShowLabel} != 1">
            <label class="control-label d-block" for="{element.uniqueIdentifier}">{formvh:translateElementProperty(element: element, property: 'label')}<f:if condition="{element.required}"><f:render partial="Field/Required" /></f:if></label>
        </f:if>
        <f:if condition="{element.properties.elementDescription}">
            <span class="help-block d-block">{formvh:translateElementProperty(element: element, property: 'elementDescription')}</span>
        </f:if>
	</div>
</f:form.validationResults>
</html>
